Loading...
Searching...
No Matches
gx_engine::Ramp Class Reference

`#include <gx_neural_plugins.h>`

## Public Types

enum | { OFF = 0x0001 , UP = 0x0002 , DOWN = 0x0004 , DEAD = 0x0008 }

## Public Member Functions

| Ramp ()
| ~Ramp ()
void | init (unsigned int rate)
void | startRampDown ()
void | checkRampMode ()
void | rampDown (int count, float *output)
void | rampUp (int count, float *output)

## Public Attributes

int | mode
float | ramp_down
float | ramp_up
float | ramp_step
float | ramp_step_impl

## Detailed Description

Definition at line 39 of file gx_neural_plugins.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
OFF |
UP |
DOWN |
DEAD |

Definition at line 47 of file gx_neural_plugins.h.

## Constructor & Destructor Documentation

## Ramp()

gx_engine::Ramp::Ramp | ( |  | ) |

inline

Definition at line 54 of file gx_neural_plugins.h.

## ~Ramp()

gx_engine::Ramp::~Ramp | ( |  | ) |

inline

Definition at line 55 of file gx_neural_plugins.h.

## Member Function Documentation

## checkRampMode()

void gx_engine::Ramp::checkRampMode | ( |  | ) |

inline

## init()

void gx_engine::Ramp::init | ( | unsigned int | rate | ) |

inline

## rampDown()

void gx_engine::Ramp::rampDown | ( | int | count,
|  | float * | output )

inline

## rampUp()

void gx_engine::Ramp::rampUp | ( | int | count,
|  | float * | output )

inline

## startRampDown()

void gx_engine::Ramp::startRampDown | ( |  | ) |

inline

## Member Data Documentation

## mode

int gx_engine::Ramp::mode

Definition at line 41 of file gx_neural_plugins.h.

## ramp_down

float gx_engine::Ramp::ramp_down

Definition at line 42 of file gx_neural_plugins.h.

## ramp_step

float gx_engine::Ramp::ramp_step

Definition at line 44 of file gx_neural_plugins.h.

## ramp_step_impl

float gx_engine::Ramp::ramp_step_impl

Definition at line 45 of file gx_neural_plugins.h.

## ramp_up

float gx_engine::Ramp::ramp_up

Definition at line 43 of file gx_neural_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_neural_plugins.h